Bug 803694 - [abrt] python-pep8-0.6.0-3.fc15: tokenize.py:357:generate_tokens:TokenError: ('EOF in multi-line statement', (2825, 0))
[abrt] python-pep8-0.6.0-3.fc15: tokenize.py:357:generate_tokens:TokenError: ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: python-pep8 (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
abrt_hash:a443fe0e6bf52745bd5c44cee76...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 08:50 EDT by Philippe Makowski
Modified: 2013-01-29 22:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-29 22:17:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (4.83 KB, text/plain)
2012-03-15 08:50 EDT, Philippe Makowski
no flags Details

  None (edit)
Description Philippe Makowski 2012-03-15 08:50:18 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/pep8 -r /tmp/tmpQlJR0x.py
comment:        working with spyder
executable:     /usr/bin/pep8
kernel:         3.2.9-2.fc16.x86_64
reason:         tokenize.py:357:generate_tokens:TokenError: ('EOF in multi-line statement', (2825, 0))

smolt_data:     Text file, 4947 bytes

backtrace:
:tokenize.py:357:generate_tokens:TokenError: ('EOF in multi-line statement', (2825, 0))
:
:Traceback (most recent call last):
:  File "/usr/bin/pep8", line 9, in <module>
:    load_entry_point('pep8==0.6.0', 'console_scripts', 'pep8')()
:  File "/usr/lib/python2.7/site-packages/pep8.py", line 1346, in _main
:    runner(path)
:  File "/usr/lib/python2.7/site-packages/pep8.py", line 1027, in input_file
:    errors = Checker(filename).check_all()
:  File "/usr/lib/python2.7/site-packages/pep8.py", line 953, in check_all
:    for token in tokenize.generate_tokens(self.readline_check_physical):
:  File "/usr/lib64/python2.7/tokenize.py", line 357, in generate_tokens
:    raise TokenError, ("EOF in multi-line statement", (lnum, 0))
:TokenError: ('EOF in multi-line statement', (2825, 0))
:
:Local variables in innermost frame:
:lnum: 2825
:pos: 0
:namechars: 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_'
:readline: <bound method Checker.readline_check_physical of <pep8.Checker object at 0xe9a950>>
:strstart: (2374, 4)
:epos: (2824, 29)
:end: 29
:initial: '\n'
:needcont: 0
:contstr: ''
:start: 28
:max: 0
:endmatch: <_sre.SRE_Match object at 0xf6f5e0>
:spos: (2824, 28)
:indents: [0, 4, 8]
:contline: None
:line: ''
:continued: 0
:comment_token: "#port = kwargs.get('port',3050)"
:pseudomatch: <_sre.SRE_Match object at 0xf7cdb0>
:column: 8
:nl_pos: 35
:endprog: <_sre.SRE_Pattern object at 0xe527a0>
:token: '\n'
:numchars: '0123456789'
:parenlev: 1

event_log:
:2012-03-15-13:45:17> Smolt profile successfully saved
:2012-03-15-13:46:46> Identification ou mot de passe vide, veuillez vérifier votre configuration
:2012-03-15-13:46:46* (exited with 1)
:2012-03-15-13:46:59> Smolt profile successfully saved
:2012-03-15-13:48:56> Se connecter à Bugzilla depuis https://bugzilla.redhat.com
:2012-03-15-13:48:58  fatal: XML-RPC(300): RPC failed at server.  The username or password you entered is not valid.
:2012-03-15-13:48:58* (exited with 1)
Comment 1 Philippe Makowski 2012-03-15 08:50:22 EDT
Created attachment 570284 [details]
File: smolt_data
Comment 2 Ian Weller 2012-05-23 17:45:05 EDT
Could you describe what exactly caused this bug (and sample code if you can) so that I can reproduce it?
Comment 3 Philippe Makowski 2012-05-25 03:36:48 EDT
will try next time it will append
Comment 4 Ian Weller 2012-05-25 04:18:21 EDT
Please don't clear the needinfo tag until you provide the information. It is easier to keep track of bugs this way.
Comment 5 Fedora End Of Life 2013-01-16 08:53:45 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Ian Weller 2013-01-29 22:17:24 EST
This crash report appears to be for running pep8 on obviously incorrect code (i.e. syntax errors), and a traceback is to be expected.

Reporter, you may reopen this ticket -- with more information on why this is a bug -- if you believe the above is incorrect.

Note You need to log in before you can comment on or make changes to this bug.